import { ExcelColumn } from '../../upload-excel-control.model';
export interface OriginColumn {
    field: string;
    title: string;
    width?: string;
    required?: boolean;
}
export interface ConfigOption {
    key?: string;
    columns: ExcelColumn[];
}
export interface ConfigResult {
    formatDate?: string;
    columns: ExcelColumn[];
}
export interface ConfigStorage {
    formatDate?: string;
    columns?: ConfigColumn[];
}
export interface ConfigColumn {
    originColumn: OriginColumn;
    title?: string;
    width?: string;
    hidden?: boolean;
}
